.AUTODEPEND

.PATH.obj = ..\..\LIB

#		*Translator Definitions*
CC = bcc +TVO.CFG
TASM = TASM
TLIB = tlib
TLINK = tlink
LIBPATH = C:\BC\LIB
INCLUDEPATH = ..\..\INCLUDE;C:\BC\INCLUDE


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


LIB_dependencies =  \
 editstat.obj \
 grp.obj \
 hardwrvr.obj \
 histlist.obj \
 mapcolor.obj \
 menu.obj \
 misc.obj \
 msgbox.obj \
 new.obj \
 newstr.obj \
 palette.obj \
 stddlg.obj \
 syserr.obj \
 tapplica.obj \
 tbkgrnd.obj \
 tbutton.obj \
 tchdrdlg.obj \
 tcheckbo.obj \
 tcluster.obj \
 tcmdset.obj \
 tcollect.obj \
 tdesktop.obj \
 tdialog.obj \
 tdircoll.obj \
 tdirlist.obj \
 teditor1.obj \
 teditor2.obj \
 teditwnd.obj \
 textview.obj \
 tfildlg.obj \
 tfilecol.obj \
 tfiledtr.obj \
 tfillist.obj \
 tframe.obj \
 tgroup.obj \
 thistory.obj \
 thistwin.obj \
 thstview.obj \
 tindictr.obj \
 tinputli.obj \
 tlabel.obj \
 tlistbox.obj \
 tlstview.obj \
 tmemo.obj \
 tmenubar.obj \
 tmenubox.obj \
 tmnuview.obj \
 tmouse.obj \
 tmulchkb.obj \
 tobject.obj \
 tobjstrm.obj \
 toutline.obj \
 tparamte.obj \
 tpoint.obj \
 tprogram.obj \
 tradiobu.obj \
 trescoll.obj \
 tscrlbar.obj \
 tscrolle.obj \
 tsortcol.obj \
 tstatict.obj \
 tstatusl.obj \
 tstrcoll.obj \
 tstrlist.obj \
 tview.obj \
 tvtext1.obj \
 tvtext2.obj \
 twindow.obj \
 edits.obj \
 framelin.obj \
 ttprvlns.obj \
 tvcursor.obj \
 tvexposd.obj

#		*Explicit Rules*
..\..\lib\tvo.lib: tvo.cfg $(LIB_dependencies)
  - del ..\..\lib\tvo.lib
  $(TLIB) $< /P256 @&&|
-+..\..\lib\editstat.obj &
-+..\..\lib\grp.obj &
-+..\..\lib\hardwrvr.obj &
-+..\..\lib\histlist.obj &
-+..\..\lib\mapcolor.obj &
-+..\..\lib\menu.obj &
-+..\..\lib\misc.obj &
-+..\..\lib\msgbox.obj &
-+..\..\lib\new.obj &
-+..\..\lib\newstr.obj &
-+..\..\lib\palette.obj &
-+..\..\lib\stddlg.obj &
-+..\..\lib\syserr.obj &
-+..\..\lib\tapplica.obj &
-+..\..\lib\tbkgrnd.obj &
-+..\..\lib\tbutton.obj &
-+..\..\lib\tchdrdlg.obj &
-+..\..\lib\tcheckbo.obj &
-+..\..\lib\tcluster.obj &
-+..\..\lib\tcmdset.obj &
-+..\..\lib\tcollect.obj &
-+..\..\lib\tdesktop.obj &
-+..\..\lib\tdialog.obj &
-+..\..\lib\tdircoll.obj &
-+..\..\lib\tdirlist.obj &
-+..\..\lib\teditor1.obj &
-+..\..\lib\teditor2.obj &
-+..\..\lib\teditwnd.obj &
-+..\..\lib\textview.obj &
-+..\..\lib\tfildlg.obj &
-+..\..\lib\tfilecol.obj &
-+..\..\lib\tfiledtr.obj &
-+..\..\lib\tfillist.obj &
-+..\..\lib\tframe.obj &
-+..\..\lib\tgroup.obj &
-+..\..\lib\thistory.obj &
-+..\..\lib\thistwin.obj &
-+..\..\lib\thstview.obj &
-+..\..\lib\tindictr.obj &
-+..\..\lib\tinputli.obj &
-+..\..\lib\tlabel.obj &
-+..\..\lib\tlistbox.obj &
-+..\..\lib\tlstview.obj &
-+..\..\lib\tmemo.obj &
-+..\..\lib\tmenubar.obj &
-+..\..\lib\tmenubox.obj &
-+..\..\lib\tmnuview.obj &
-+..\..\lib\tmouse.obj &
-+..\..\lib\tmulchkb.obj &
-+..\..\lib\tobject.obj &
-+..\..\lib\tobjstrm.obj &
-+..\..\lib\toutline.obj &
-+..\..\lib\tparamte.obj &
-+..\..\lib\tpoint.obj &
-+..\..\lib\tprogram.obj &
-+..\..\lib\tradiobu.obj &
-+..\..\lib\trescoll.obj &
-+..\..\lib\tscrlbar.obj &
-+..\..\lib\tscrolle.obj &
-+..\..\lib\tsortcol.obj &
-+..\..\lib\tstatict.obj &
-+..\..\lib\tstatusl.obj &
-+..\..\lib\tstrcoll.obj &
-+..\..\lib\tstrlist.obj &
-+..\..\lib\tview.obj &
-+..\..\lib\tvtext1.obj &
-+..\..\lib\tvtext2.obj &
-+..\..\lib\twindow.obj &
-+..\..\lib\edits.obj &
-+..\..\lib\framelin.obj &
-+..\..\lib\ttprvlns.obj &
-+..\..\lib\tvcursor.obj &
-+..\..\lib\tvexposd.obj
|


#		*Individual File Dependencies*
editstat.obj: tvo.cfg editstat.cpp 

grp.obj: tvo.cfg grp.cpp 

hardwrvr.obj: tvo.cfg hardwrvr.cpp 

histlist.obj: tvo.cfg histlist.cpp 

mapcolor.obj: tvo.cfg mapcolor.cpp 

menu.obj: tvo.cfg menu.cpp 

misc.obj: tvo.cfg misc.cpp 

msgbox.obj: tvo.cfg msgbox.cpp 

new.obj: tvo.cfg new.cpp 

newstr.obj: tvo.cfg newstr.cpp 

palette.obj: tvo.cfg palette.cpp 

stddlg.obj: tvo.cfg stddlg.cpp 

syserr.obj: tvo.cfg syserr.cpp 

tapplica.obj: tvo.cfg tapplica.cpp 

tbkgrnd.obj: tvo.cfg tbkgrnd.cpp 

tbutton.obj: tvo.cfg tbutton.cpp 

tchdrdlg.obj: tvo.cfg tchdrdlg.cpp 

tcheckbo.obj: tvo.cfg tcheckbo.cpp 

tcluster.obj: tvo.cfg tcluster.cpp 

tcmdset.obj: tvo.cfg tcmdset.cpp 

tcollect.obj: tvo.cfg tcollect.cpp 

tdesktop.obj: tvo.cfg tdesktop.cpp 

tdialog.obj: tvo.cfg tdialog.cpp 

tdircoll.obj: tvo.cfg tdircoll.cpp 

tdirlist.obj: tvo.cfg tdirlist.cpp 

teditor1.obj: tvo.cfg teditor1.cpp 

teditor2.obj: tvo.cfg teditor2.cpp 

teditwnd.obj: tvo.cfg teditwnd.cpp 

textview.obj: tvo.cfg textview.cpp 

tfildlg.obj: tvo.cfg tfildlg.cpp 

tfilecol.obj: tvo.cfg tfilecol.cpp 

tfiledtr.obj: tvo.cfg tfiledtr.cpp 

tfillist.obj: tvo.cfg tfillist.cpp 

tframe.obj: tvo.cfg tframe.cpp 

tgroup.obj: tvo.cfg tgroup.cpp 

thistory.obj: tvo.cfg thistory.cpp 

thistwin.obj: tvo.cfg thistwin.cpp 

thstview.obj: tvo.cfg thstview.cpp 

tindictr.obj: tvo.cfg tindictr.cpp 

tinputli.obj: tvo.cfg tinputli.cpp 

tlabel.obj: tvo.cfg tlabel.cpp 

tlistbox.obj: tvo.cfg tlistbox.cpp 

tlstview.obj: tvo.cfg tlstview.cpp 

tmemo.obj: tvo.cfg tmemo.cpp 

tmenubar.obj: tvo.cfg tmenubar.cpp 

tmenubox.obj: tvo.cfg tmenubox.cpp 

tmnuview.obj: tvo.cfg tmnuview.cpp 

tmouse.obj: tvo.cfg tmouse.cpp 

tmulchkb.obj: tvo.cfg tmulchkb.cpp 

tobject.obj: tvo.cfg tobject.cpp 

tobjstrm.obj: tvo.cfg tobjstrm.cpp 

toutline.obj: tvo.cfg toutline.cpp 

tparamte.obj: tvo.cfg tparamte.cpp 

tpoint.obj: tvo.cfg tpoint.cpp 

tprogram.obj: tvo.cfg tprogram.cpp 

tradiobu.obj: tvo.cfg tradiobu.cpp 

trescoll.obj: tvo.cfg trescoll.cpp 

tscrlbar.obj: tvo.cfg tscrlbar.cpp 

tscrolle.obj: tvo.cfg tscrolle.cpp 

tsortcol.obj: tvo.cfg tsortcol.cpp 

tstatict.obj: tvo.cfg tstatict.cpp 

tstatusl.obj: tvo.cfg tstatusl.cpp 

tstrcoll.obj: tvo.cfg tstrcoll.cpp 

tstrlist.obj: tvo.cfg tstrlist.cpp 

tview.obj: tvo.cfg tview.cpp 

tvtext1.obj: tvo.cfg tvtext1.cpp 

tvtext2.obj: tvo.cfg tvtext2.cpp 

twindow.obj: tvo.cfg twindow.cpp 

edits.obj: tvo.cfg edits.asm 
	$(TASM) /MX /ZI /O EDITS.ASM,..\..\LIB\EDITS.OBJ

framelin.obj: tvo.cfg framelin.asm 
	$(TASM) /MX /ZI /O FRAMELIN.ASM,..\..\LIB\FRAMELIN.OBJ

ttprvlns.obj: tvo.cfg ttprvlns.asm 
	$(TASM) /MX /ZI /O TTPRVLNS.ASM,..\..\LIB\TTPRVLNS.OBJ

tvcursor.obj: tvo.cfg tvcursor.asm 
	$(TASM) /MX /ZI /O TVCURSOR.ASM,..\..\LIB\TVCURSOR.OBJ

tvexposd.obj: tvo.cfg tvexposd.asm 
	$(TASM) /MX /ZI /O TVEXPOSD.ASM,..\..\LIB\TVEXPOSD.OBJ

#		*Compiler Configuration File*
tvo.cfg: tvo.mak
  copy &&|
-ml
-2
-f287
-Y
-B
-Vs
-H=TVO.SYM
-wpro
-weas
-wpre
-n..\..\LIB
-I$(INCLUDEPATH)
-L$(LIBPATH)
-DOVERLAY
| tvo.cfg


